2

I have updated Magento version Magento 2.3.5-p1 to Magento 2.4.0 When I am running Magento setup upgrade command

php bin/magento setup:upgrade

then it's showing me below error

Module 'Magento_ComposerRootUpdatePlugin':
Running data recurring...Reading /var/www/html/composer.json
Loading config file /var/www/html/var/composer_home/auth.json
Loading config file /var/www/html/composer.json
Loading config file /var/www/html/auth.json
Reading /var/www/html/auth.json
Failed to initialize global composer: Composer could not find the config file: /var/www/html/var/composer_home/composer.json
To initialize a project, please create a composer.json file as described in the https://getcomposer.org/ "Getting Started" section
Reading /var/www/html/vendor/composer/installed.json
Reading /var/www/html/composer.lock
Checking for "magento/composer-root-update-plugin: 1.0.0" for the Web Setup Wizard...
Reading /var/www/html/var/vendor/magento/composer-root-update-plugin/composer.json
Loading config file /var/www/html/var/composer_home/auth.json
Loading config file /var/www/html/var/vendor/magento/composer-root-update-plugin/composer.json
No Web Setup Wizard update needed for magento/composer-root-update-plugin; version 1.0.0 is 

already in /var/www/html/var.

Module 'Magento_User':

I have update composer version by below command

composer selfupdate 

how can I solve this error?

2
  • Have you get solution for the issue. I have faced same issue while setup:upgrade in magento 2.4.0 Aug 14 '20 at 9:49
  • Check my answer Aug 14 '20 at 10:05
3

I have solved this issue by removing the below module from composer file and it's updating my composer version 1.10.10

"magento/composer-root-update-plugin": "~1.0",

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.